javax.xml.registry.infomodel

## Interface Slot

-     public interface Slot

  Slot instances provide a dynamic way to add arbitrary attributes to RegistryObject instances. This ability to add attributes dynamically to RegistryObject instances enables extensibility within the Registry Information Model.

  A RegistryObject may have 0 or more Slots. A slot is composed of a name, a slotType and a collection of values. The name of a slot is locally unique within the RegistryObject instance. Similarly, the value of a Slot is locally unique within a slot instance. Since a Slot represents an extensible attribute whose value may be a collection, a Slot is allowed to have a collection of values rather than a single value. The slotType attribute may optionally specify a type or category for the slot.

  Author:
    Farrukh S. Najmi
  See Also:
    `ExtensibleObject`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADDRESS_LINES_SLOT` Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.
    `static String` | `AUTHORIZED_NAME_SLOT` Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.
    `static String` | `OPERATOR_SLOT` Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.
    `static String` | `SORT_CODE_SLOT` Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name for this Slot.
    `String` | `getSlotType()` Gets the slotType for this Slot.
    `Collection` | `getValues()` Gets the values for this Slot.
    `void` | `setName(String name)` Sets the name for this Slot.
    `void` | `setSlotType(String slotType)` Sets the slotType for this Slot.
    `void` | `setValues(Collection values)` Sets the values for this Slot.

- - ### Field Detail

    - #### SORT_CODE_SLOT

          static final String SORT_CODE_SLOT

      Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.
      See Also:
        Constant Field Values

    - #### ADDRESS_LINES_SLOT

          static final String ADDRESS_LINES_SLOT

      Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.
      See Also:
        Constant Field Values

    - #### AUTHORIZED_NAME_SLOT

          static final String AUTHORIZED_NAME_SLOT

      Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.
      See Also:
        Constant Field Values

    - #### OPERATOR_SLOT

          static final String OPERATOR_SLOT

      Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()
                         throws JAXRException

      Gets the name for this Slot. Default is a NULL String.

      Capability Level: 0
      Returns:
        the name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setName

          void setName(String name)
                       throws JAXRException

      Sets the name for this Slot. Default is a NULL String.

      Capability Level: 0
      Parameters:
        `name` - the name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getSlotType

          String getSlotType()
                             throws JAXRException

      Gets the slotType for this Slot. Default is a NULL String.

      Capability Level: 0
      Returns:
        the slot type which is an arbitrary String
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setSlotType

          void setSlotType(String slotType)
                           throws JAXRException

      Sets the slotType for this Slot.

      Capability Level: 0
      Parameters:
        `slotType` - the slot type which is an arbitrary String
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getValues

          Collection getValues()
                               throws JAXRException

      Gets the values for this Slot.

      Capability Level: 0
      Returns:
        Collection of String instances representing the values for this Slot. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `String`

    - #### setValues

          void setValues(Collection values)
                         throws JAXRException

      Sets the values for this Slot.

      Capability Level: 0
      Parameters:
        `values` - the values for this Slot
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.